ru.bitel.oss.kernel.job.common.bean

## Class JobTrigger

- java.lang.Object
- - ru.bitel.oss.kernel.job.common.bean.JobTrigger

-     public class JobTrigger
      extends java.lang.Object

  Триггер для job'a. По сути момент в будущем, когда необходимо сработать и выполнить какое-то действие.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `TYPE_CALENDAR`
    `static short` | `TYPE_SIMPLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobTrigger()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getData()`
    `long` | `getFireCount()`
    `java.util.Date` | `getFireTimeNext()`
    `java.util.Date` | `getFireTimePrev()`
    `long` | `getId()`
    `long` | `getJobId()`
    `java.util.Date` | `getTimeFrom()`
    `java.util.Date` | `getTimeTo()`
    `short` | `getType()`
    `long` | `getVersion()`
    `boolean` | `isPersistent()`
    `void` | `setData(java.lang.String data)`
    `void` | `setFireCount(long fireCount)`
    `void` | `setFireTimeNext(java.util.Date fireTimeNext)`
    `void` | `setFireTimePrev(java.util.Date fireTimePrev)`
    `void` | `setId(long id)`
    `void` | `setJobId(long jobId)`
    `void` | `setPersistent(boolean persistent)`
    `void` | `setTimeFrom(java.util.Date timeFrom)`
    `void` | `setTimeTo(java.util.Date timeTo)`
    `void` | `setType(short type)`
    `void` | `setVersion(long version)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_SIMPLE

          public static final short TYPE_SIMPLE

      See Also:
        Constant Field Values

    - #### TYPE_CALENDAR

          public static final short TYPE_CALENDAR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JobTrigger

          public JobTrigger()

  - ### Method Detail

    - #### getId

          public long getId()

    - #### setId

          public void setId(long id)

    - #### getJobId

          public long getJobId()

    - #### setJobId

          public void setJobId(long jobId)

    - #### getTimeFrom

          public java.util.Date getTimeFrom()

    - #### setTimeFrom

          public void setTimeFrom(java.util.Date timeFrom)

    - #### getTimeTo

          public java.util.Date getTimeTo()

    - #### setTimeTo

          public void setTimeTo(java.util.Date timeTo)

    - #### isPersistent

          public boolean isPersistent()

    - #### setPersistent

          public void setPersistent(boolean persistent)

    - #### getType

          public short getType()

    - #### setType

          public void setType(short type)

    - #### getData

          public java.lang.String getData()

    - #### setData

          public void setData(java.lang.String data)

    - #### getFireTimePrev

          public java.util.Date getFireTimePrev()

    - #### setFireTimePrev

          public void setFireTimePrev(java.util.Date fireTimePrev)

    - #### getFireTimeNext

          public java.util.Date getFireTimeNext()

    - #### setFireTimeNext

          public void setFireTimeNext(java.util.Date fireTimeNext)

    - #### getFireCount

          public long getFireCount()

    - #### setFireCount

          public void setFireCount(long fireCount)

    - #### getVersion

          public long getVersion()

    - #### setVersion

          public void setVersion(long version)